//--------------------------------------------------------------
// File     : main.c
// Datum    : 30.12.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der SPI_DMA Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_spi2_dma.h"

int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  // SPI2 im Mode0 initialisieren
  UB_SPI2_DMA_Init(SPI_MODE_0_MSB);

  // TX-Puffer mit 3 Bytes Daten fuellen
  SPI2_DMA.tx_buffer[0]=0x55;
  SPI2_DMA.tx_buffer[1]=0xAA;
  SPI2_DMA.tx_buffer[2]=0x01;

  // 3Bytes per DMA senden
  UB_SPI2_DMA_SendBuffer(3);

  while(1)
  {
    if(UB_SPI2_DMA_GetReceivedBytes()>0) {
      // wenn senden fertig
      // hier die 3 Bytes vom RX-Buffer auswerten
    }
  }
}

